@import "src/scss/variables";
@import "~bootstrap/scss/functions";
@import "~bootstrap/scss/variables";
@import "~bootstrap/scss/mixins";

:host ::ng-deep {
  .add-case-stepper {
    background-color: transparent;

    .mat-ripple.mat-step-header-ripple {
      display: none;
    }

    .mat-horizontal-stepper-header-container {
      width: 60%;
      margin-bottom: 96px;
      @include media-breakpoint-down(md){
        width: 100%;
        margin-bottom: 38px;
        }
      .mat-stepper-horizontal-line {
        top: 25px;
      }
      .mat-horizontal-stepper-header {
        padding: 0px;
        background-color: $transparent !important;
        &::after,&::before {
          top: 25px;
        }
        .mat-step-icon {
          background-color: $light-gray;
          color: $onyx;
          font-size: 20px;
          font-weight: $font-bold;
          /*border: 2px solid $onyx;*/
          border-radius: 0;
          width: 42px;
          height: 42px;
          @include media-breakpoint-down(md){
            font-size: 16px;
            width: 34px;
            height: 34px;
            }
          &.mat-step-icon-selected {
            background-color: $light-gray;
            color: $onyx;
            font-size: 20px;
            font-weight: $font-bold;
            border: 2px solid $onyx;
            border-radius: 0;
            width: 42px;
            height: 42px;
            @include media-breakpoint-down(md){
              font-size: 16px;
              width: 34px;
              height: 34px;
              }
          }
        }

        .mat-step-label {
          font-size: 17px;
          color: $onyx;
          font-weight: $font-regular;
          padding-top: 13px;
          @include media-breakpoint-down(md){
            font-size: 13px;
            padding-top: 6px;
            }
          &.mat-step-label-selected {
            font-weight: $font-bold;
          }
        }
      }
    }

    .mat-horizontal-content-container {
      padding: 0 !important;
      //background: $white;
    }
  }

  .shift {
    .button-toggle {
      max-width: 150px;
      height: 50px;
      .mat-button-toggle-button{
        height: 50px;
      }
    }
  }
  .square-input {
    input {
      width: 50px;
      height: 40px;
      background-color: $white;
      text-align: center;
      color: $onyx;
    }

    input.primary {
      border: 1px solid $primary-purple;
    }

    input.secondary {
      border: 1px solid #DDE0E2;
    }
  }
  .mat-button-toggle-group.colored {
    .mat-button-toggle {
      margin: 0 !important;
      height: 46px;
      display: flex;
      font-weight: $font-medium;
      background-color: $off-white !important;

      &:nth-child(1) {
        color: $oasis-light !important;
      }

      &:nth-child(2) {
        color: $orange !important;
      }

      &:nth-child(3) {
        color: $coral !important;
      }

      &.mat-button-toggle-checked {
        color: $white !important;

        &:nth-child(1) {
          background: $oasis-light !important;
        }

        &:nth-child(2) {
          background: $orange !important;
        }

        &:nth-child(3) {
          background-color: $coral !important;
        }
      }
    }
  }
}
::ng-deep .mat-horizontal-stepper-header{
  pointer-events: none !important;
}
.note{    margin-top: -9px;}
.main{
  .Banner-Bg{
     
      @include media-breakpoint-down(md){
        height: 23vh;
        margin-bottom: 25px;
      }
  }
  .main_Content{
     
      @include media-breakpoint-down(md){
         
      }
  }
}
